Skip to content
Start here

Kick all participants

client.realtimeKit.activeSession.kickAllParticipants(stringappId, stringmeetingId, ActiveSessionKickAllParticipantsParams { account_id } params, RequestOptionsoptions?): ActiveSessionKickAllParticipantsResponse { data, success }
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-session/kick-all

Kicks all participants from an active session for the given meeting ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
meetingId: string
params: ActiveSessionKickAllParticipantsParams { account_id }
account_id: string

The account identifier tag.

maxLength32
ReturnsExpand Collapse
ActiveSessionKickAllParticipantsResponse { data, success }
data?: Data { action, kicked_participants_count }
action?: string
kicked_participants_count?: number
success?: boolean

Kick all participants

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.activeSession.kickAllParticipants(
  'app_id',
  'meeting_id',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.data);
{
  "data": {
    "action": "action",
    "kicked_participants_count": 0
  },
  "success": true
}
Returns Examples
{
  "data": {
    "action": "action",
    "kicked_participants_count": 0
  },
  "success": true
}